"""
Identifier:     ifs_sim/tests/test_ifs_sim.py
Name:           test_ifs_sim.py
Description:    Test ifs sim.
Author:         Zhaojun Yan
Created:        2024-04-09
Modified-History:
    2024-04-09, Zhaojun Yan, created

"""

import unittest

from csst_ifs_sim import csst_ifs_sim


class TestDemoFunction(unittest.TestCase):
    def test_ifs_sim_1(self):
        """
        Aim
        ---
        Test ifs sim function.

        Criteria
        --------
        Pass if the demo function returns `1`.

        Details
        -------
        The demo function returns the length of the input argument list.
        This case aims to test whether the demo function returns `1` if input is `None`.
        """
        # demo function test
        dir_path=os.path.join(os.environ['UNIT_TEST_DATA_ROOT'],'ifs_sim/IFS_inputData/configData')
        
        csst_ifs_sim(dir_path)
        
        self.assertTrue(
            1 == 1,
            "Single-argument case passes.",
        )

    # def test_demo_function_2(self):
    #     """
    #     Aim
    #     ---
    #     Test demo function.

    #     Criteria
    #     --------
    #     Pass if the demo function returns `2`.

    #     Details
    #     -------
    #     The demo function returns the length of the input argument list.
    #     This case aims to test whether the demo function returns `2` if input is `None, None`.
    #     """
    #     # demo function test
    #     self.assertEqual(
    #         demo_function(None, None),
    #         2,
    #         "Double-argument case failed.",
    #     )

    # def test_demo_function_bad_case(self):
    #     """
    #     Aim
    #     ---
    #     Test demo function in bad case.

    #     Criteria
    #     --------
    #     Pass if the demo function result is not equal to `2`.

    #     Details
    #     -------
    #     The demo function returns the length of the input argument list.
    #     This case aims to test whether the demo function result is not equal to `2`
    #     if input is `None, None, None`.
    #     """
    #     # demo function test
    #     self.assertNotEqual(
    #         demo_function(None, None, None),
    #         2,
    #         "Triple-argument case failed.",
    #     )